petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSTrajectorySetVariableNames

Sets the name of each component in the solution vector so that it may be saved with the trajectory

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectorySetVariableNames(TSTrajectory ctx,const char * const *names)

Collective on TSTrajectory

### Input Parameters

| tr | - the trajectory context
| names | - the names of the components, final string must be NULL

Note: Fortran interface is not possible because of the string array argument

### Keywords

TS, TSTrajectory, vector, monitor, view

### See Also

TSTrajectory, TSGetTrajectory()

### Level

intermediate

### Location

src/ts/trajectory/interface/traj.c

### Examples

src/ts/examples/tutorials/extchem.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages